PyDL:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- pydl v1.0.0-rc2 »
- SDSS Utilities (`pydl.pydlutils`) »
- cholesky_solve

# cholesky_solve

pydl.pydlutils.bspline.cholesky_solve(a, bb)

  Solve the equation \(A x = b\) where `a` is a lower Cholesky-banded matrix.

  In the `bspline` machinery, `a` needs to be padded. This function should only used with the output of `cholesky_band()`, to ensure the proper padding on `a`. Otherwise the computation is delegated to `scipy.linalg.cho_solve_banded()`.

  Parameters
    a `numpy.ndarray`

      Lower Cholesky decomposition of \(A\) in \(A x = b\).

    bb `numpy.ndarray`

      \(b\) in \(A x = b\).

  Returns
    `numpy.ndarray`

      The solution, padded to be the same shape as `bb`.